function themeItem(t,n,i)
{
this.Title=t;
this.Name=n;
this.Image=i;
}
function ThemeClass(className)
{
 this.ClassName=className;
 this.Items=new Array();
 this.Add=function (item)
 {
     var i = this.Items.length;
     this.Items[i]=item;
 }
}
var Themes =new Array();
function InitThemes()
{

 Themes[0]=new ThemeClass('假期');

Themes[0].Add(new themeItem('快乐烛光','AGI_birthday','../style/AGI_birthday/AGI_birthday.gif'));
Themes[0].Add(new themeItem('假日焰火','megan_fireworks','../style/megan_fireworks/megan_fireworks.gif'));
 Themes[1]=new ThemeClass('动物世界');

Themes[1].Add(new themeItem('神秘龙','AGI_dragon','../style/AGI_dragon/AGI_dragon.gif'));
Themes[1].Add(new themeItem('懒觉狗狗','reipurdtdesign_sleepingpuppies','../style/reipurdtdesign_sleepingpuppies/reipurdtdesign_sleepingpuppies.gif'));
Themes[1].Add(new themeItem('温驯海星','reipurdtdesign_starfish','../style/reipurdtdesign_starfish/reipurdtdesign_starfish.gif'));
Themes[1].Add(new themeItem('牛头犬','uk_bulldog','../style/uk_bulldog/uk_bulldog.gif'));
Themes[1].Add(new themeItem('海洋生物','uk_oceanlife','../style/uk_oceanlife/uk_oceanlife.gif'));
Themes[1].Add(new themeItem('水下风情','Underwater','../style/Underwater/Underwater.gif'));
Themes[1].Add(new themeItem('可爱白猫','uniteair_cats','../style/uniteair_cats/uniteair_cats.gif'));
Themes[1].Add(new themeItem('金色猎犬','uniteair_dogs','../style/uniteair_dogs/uniteair_dogs.gif'));
 Themes[2]=new ThemeClass('合成图画');

Themes[2].Add(new themeItem('漩涡探索','AGI_fibre','../style/AGI_fibre/AGI_fibre.gif'));
Themes[2].Add(new themeItem('绿色数码','DigitalGreen','../style/DigitalGreen/DigitalGreen.gif'));
Themes[2].Add(new themeItem('橙色数码','DigitalOrange','../style/DigitalOrange/DigitalOrange.gif'));
Themes[2].Add(new themeItem('色调融合','Fusion','../style/Fusion/Fusion.gif'));
Themes[2].Add(new themeItem('蓝色圆环','megan_bluecircles','../style/megan_bluecircles/megan_bluecircles.gif'));
Themes[2].Add(new themeItem('安全地带','megan_caution','../style/megan_caution/megan_caution.gif'));
Themes[2].Add(new themeItem('灰色方格','megan_flannel','../style/megan_flannel/megan_flannel.gif'));
Themes[2].Add(new themeItem('彩色三角','megan_geometriccolor','../style/megan_geometriccolor/megan_geometriccolor.gif'));
Themes[2].Add(new themeItem('灰色三角','megan_geometricgray','../style/megan_geometricgray/megan_geometricgray.gif'));
Themes[2].Add(new themeItem('抽象画','megan_graffiti','../style/megan_graffiti/megan_graffiti.gif'));
Themes[2].Add(new themeItem('水波纹','megan_water','../style/megan_water/megan_water.gif'));
Themes[2].Add(new themeItem('蓝调世界','PulseBlue','../style/PulseBlue/PulseBlue.gif'));
Themes[2].Add(new themeItem('变幻橙色','PulseOrange','../style/PulseOrange/PulseOrange.gif'));
Themes[2].Add(new themeItem('安徒生','reipurdtdesign_hca','../style/reipurdtdesign_hca/reipurdtdesign_hca.gif'));
Themes[2].Add(new themeItem('褐色线条','uniteair_business','../style/uniteair_business/uniteair_business.gif'));
Themes[2].Add(new themeItem('爱心无限','uniteair_heart','../style/uniteair_heart/uniteair_heart.gif'));
 Themes[3]=new ThemeClass('世界风景');

Themes[3].Add(new themeItem('郊外情','AGI_farm','../style/AGI_farm/AGI_farm.gif'));
Themes[3].Add(new themeItem('首尔掠影','AGI_korea_river','../style/AGI_korea_river/AGI_korea_river.gif'));
Themes[3].Add(new themeItem('自由女神','AGI_nyc','../style/AGI_nyc/AGI_nyc.gif'));
Themes[3].Add(new themeItem('奥斯陆风景','AGI_oslo','../style/AGI_oslo/AGI_oslo.gif'));
Themes[3].Add(new themeItem('神秘宫殿','AGI_palace','../style/AGI_palace/AGI_palace.gif'));
Themes[3].Add(new themeItem('巴黎凯旋门','AGI_paris','../style/AGI_paris/AGI_paris.gif'));
Themes[3].Add(new themeItem('罗马城堡','AGI_rome','../style/AGI_rome/AGI_rome.gif'));
Themes[3].Add(new themeItem('新加坡广场','AGI_singapore_esplanade','../style/AGI_singapore_esplanade/AGI_singapore_esplanade.gif'));
Themes[3].Add(new themeItem('狮头鱼身像','AGI_singapore_merlion','../style/AGI_singapore_merlion/AGI_singapore_merlion.gif'));
Themes[3].Add(new themeItem('马德里之夜','AGI_spain_city','../style/AGI_spain_city/AGI_spain_city.gif'));
Themes[3].Add(new themeItem('吉隆坡双塔','AGI_towers','../style/AGI_towers/AGI_towers.gif'));
Themes[3].Add(new themeItem('乡村花园','AGI_UK_garden','../style/AGI_UK_garden/AGI_UK_garden.gif'));
Themes[3].Add(new themeItem('伦敦大笨钟','AGI_UK_london','../style/AGI_UK_london/AGI_UK_london.gif'));
Themes[3].Add(new themeItem('水乡威尼斯','AGI_venice','../style/AGI_venice/AGI_venice.gif'));
Themes[3].Add(new themeItem('新鲜空气','FreshAir','../style/FreshAir/FreshAir.gif'));
Themes[3].Add(new themeItem('旷野旅行','Journey','../style/Journey/Journey.gif'));
Themes[3].Add(new themeItem('蓝色城市','reipurdtdesign_cityskyline','../style/reipurdtdesign_cityskyline/reipurdtdesign_cityskyline.gif'));
Themes[3].Add(new themeItem('山地幻境','uk_mountains','../style/uk_mountains/uk_mountains.gif'));
Themes[3].Add(new themeItem('太空星云','uk_spacenebula','../style/uk_spacenebula/uk_spacenebula.gif'));
Themes[3].Add(new themeItem('现代都市','uk_urbanlandscape','../style/uk_urbanlandscape/uk_urbanlandscape.gif'));
 Themes[4]=new ThemeClass('物体');

Themes[4].Add(new themeItem('斜阳飞机','AGI_airplane','../style/AGI_airplane/AGI_airplane.gif'));
Themes[4].Add(new themeItem('我爱蔬果','AGI_cooking','../style/AGI_cooking/AGI_cooking.gif'));
Themes[4].Add(new themeItem('卡通营','AGI_emos','../style/AGI_emos/AGI_emos.gif'));
Themes[4].Add(new themeItem('热力如火','AGI_flames','../style/AGI_flames/AGI_flames.gif'));
Themes[4].Add(new themeItem('记录者','AGI_notebook','../style/AGI_notebook/AGI_notebook.gif'));
Themes[4].Add(new themeItem('轻烟弥漫','AGI_smoke','../style/AGI_smoke/AGI_smoke.gif'));
Themes[4].Add(new themeItem('贝壳世界','AGI_spain_writing','../style/AGI_spain_writing/AGI_spain_writing.gif'));
Themes[4].Add(new themeItem('电路爱好者','AGI_UK_circuit','../style/AGI_UK_circuit/AGI_UK_circuit.gif'));
Themes[4].Add(new themeItem('粉色凉鞋','megan_sandals','../style/megan_sandals/megan_sandals.gif'));
Themes[4].Add(new themeItem('俏卡通','uniteair_icon1','../style/uniteair_icon1/uniteair_icon1.gif'));
Themes[4].Add(new themeItem('微笑卡通','uniteair_icon2','../style/uniteair_icon2/uniteair_icon2.gif'));
Themes[4].Add(new themeItem('石头灯','uniteair_stonelamps','../style/uniteair_stonelamps/uniteair_stonelamps.gif'));
Themes[4].Add(new themeItem('午茶空间','uniteair_teatime','../style/uniteair_teatime/uniteair_teatime.gif'));
 Themes[5]=new ThemeClass('四季风情');

Themes[5].Add(new themeItem('D_Box制作(秋)','DBoy_qiu','../style/DBoy_qiu/DBoy_qiu.gif'));
Themes[5].Add(new themeItem('可爱草莓','AGI_berries','../style/AGI_berries/AGI_berries.gif'));
Themes[5].Add(new themeItem('那些花儿','AGI_blossom','../style/AGI_blossom/AGI_blossom.gif'));
Themes[5].Add(new themeItem('棕榈树下','AGI_paludosa','../style/AGI_paludosa/AGI_paludosa.gif'));
Themes[5].Add(new themeItem('夕阳无限','AGI_sunset','../style/AGI_sunset/AGI_sunset.gif'));
Themes[5].Add(new themeItem('冬之月色','AGI_UK_moon','../style/AGI_UK_moon/AGI_UK_moon.gif'));
Themes[5].Add(new themeItem('金色秋天','Autumn','../style/Autumn/Autumn.gif'));
Themes[5].Add(new themeItem('蓝色花瓣','BlueFlowers','../style/BlueFlowers/BlueFlowers.gif'));
Themes[5].Add(new themeItem('绿色花瓣','GreenFlowers','../style/GreenFlowers/GreenFlowers.gif'));
Themes[5].Add(new themeItem('淡粉雏菊','LightPinkDaisies','../style/LightPinkDaisies/LightPinkDaisies.gif'));
Themes[5].Add(new themeItem('片片枫叶','megan_autumnfoliage','../style/megan_autumnfoliage/megan_autumnfoliage.gif'));
Themes[5].Add(new themeItem('美丽树叶','megan_leafcollage','../style/megan_leafcollage/megan_leafcollage.gif'));
Themes[5].Add(new themeItem('宁静夜色','NightScene','../style/NightScene/NightScene.gif'));
Themes[5].Add(new themeItem('橙色雏菊','OrangeDaisies','../style/OrangeDaisies/OrangeDaisies.gif'));
Themes[5].Add(new themeItem('粉色雏菊','PinkDaisies','../style/PinkDaisies/PinkDaisies.gif'));
Themes[5].Add(new themeItem('粉红花瓣','PinkFlowers','../style/PinkFlowers/PinkFlowers.gif'));
Themes[5].Add(new themeItem('神秘雨林','Rainforest','../style/Rainforest/Rainforest.gif'));
Themes[5].Add(new themeItem('雪花飘飘','reipurdtdesign_snowflake','../style/reipurdtdesign_snowflake/reipurdtdesign_snowflake.gif'));
Themes[5].Add(new themeItem('冰雪世界','Snow','../style/Snow/Snow.gif'));
Themes[5].Add(new themeItem('阳光海滩','spain_sunnybeach','../style/spain_sunnybeach/spain_sunnybeach.gif'));
Themes[5].Add(new themeItem('太阳花开','Sunflowers','../style/Sunflowers/Sunflowers.gif'));
Themes[5].Add(new themeItem('热带风情','Tropical','../style/Tropical/Tropical.gif'));
Themes[5].Add(new themeItem('青葱竹林','uniteair_bamboo','../style/uniteair_bamboo/uniteair_bamboo.gif'));
Themes[5].Add(new themeItem('兰花世界','uniteair_flower','../style/uniteair_flower/uniteair_flower.gif'));
 Themes[6]=new ThemeClass('艺术天地');

Themes[6].Add(new themeItem('列奥那多','AGI_leonardo','../style/AGI_leonardo/AGI_leonardo.gif'));
Themes[6].Add(new themeItem('宁静','Serene','../style/Serene/Serene.gif'));
Themes[6].Add(new themeItem('思想者','spain_artistic1','../style/spain_artistic1/spain_artistic1.gif'));
Themes[6].Add(new themeItem('蓝色万花筒','spain_artistic2','../style/spain_artistic2/spain_artistic2.gif'));
 Themes[7]=new ThemeClass('卡通角色');

Themes[7].Add(new themeItem('小猪宝宝','AGI_taiwan','../style/AGI_taiwan/AGI_taiwan.gif'));
Themes[7].Add(new themeItem('金色女孩','megan_mollygold','../style/megan_mollygold/megan_mollygold.gif'));
Themes[7].Add(new themeItem('橙色女孩','megan_mollyorange','../style/megan_mollyorange/megan_mollyorange.gif'));
Themes[7].Add(new themeItem('绿色卡哇伊','uniteair_aipi1','../style/uniteair_aipi1/uniteair_aipi1.gif'));
Themes[7].Add(new themeItem('粉红卡哇伊','uniteair_aipi2','../style/uniteair_aipi2/uniteair_aipi2.gif'));
 Themes[8]=new ThemeClass('运动系列');

Themes[8].Add(new themeItem('F1方程式','AGI_farm','../style/AGI_farm/AGI_farm.gif'));
Themes[8].Add(new themeItem('滑雪板','AGI_snowboard','../style/AGI_snowboard/AGI_snowboard.gif'));
Themes[8].Add(new themeItem('越野滑雪','AGI_xcountry','../style/AGI_xcountry/AGI_xcountry.gif'));
Themes[8].Add(new themeItem('绿茵健儿','reipurdtdesign_soccerplayer','../style/reipurdtdesign_soccerplayer/reipurdtdesign_soccerplayer.gif'));
Themes[8].Add(new themeItem('足球世界','spain_socceraction','../style/spain_socceraction/spain_socceraction.gif'));
Themes[8].Add(new themeItem('冲浪时刻','Surfing','../style/Surfing/Surfing.gif'));
Themes[8].Add(new themeItem('极限滑雪','uk_extremesnowboarding','../style/uk_extremesnowboarding/uk_extremesnowboarding.gif'));
Themes[8].Add(new themeItem('山地自行车','uk_mountainbiking','../style/uk_mountainbiking/uk_mountainbiking.gif'));
Themes[8].Add(new themeItem('滑雪','uk_skateboarding','../style/uk_skateboarding/uk_skateboarding.gif'));
 Themes[9]=new ThemeClass('音乐主题');

Themes[9].Add(new themeItem('彩绘纹身','AGI_bolly1','../style/AGI_bolly1/AGI_bolly1.gif'));
Themes[9].Add(new themeItem('宝莱坞','AGI_bolly2','../style/AGI_bolly2/AGI_bolly2.gif'));
Themes[9].Add(new themeItem('跳动音符','AGI_canada_music','../style/AGI_canada_music/AGI_canada_music.gif'));
Themes[9].Add(new themeItem('迪斯科舞厅','AGI_disco','../style/AGI_disco/AGI_disco.gif'));
Themes[9].Add(new themeItem('怀旧电影','AGI_film','../style/AGI_film/AGI_film.gif'));
Themes[9].Add(new themeItem('蓝色音乐','Music','../style/Music/Music.gif'));
Themes[9].Add(new themeItem('西班牙舞会','spain_danceparty','../style/spain_danceparty/spain_danceparty.gif'));
Themes[9].Add(new themeItem('我爱DJ','uk_djmixingitup','../style/uk_djmixingitup/uk_djmixingitup.gif'));
Themes[9].Add(new themeItem('Xbox风格','xbox_controllers','../style/xbox_controllers/xbox_controllers.gif'));
Themes[9].Add(new themeItem('Xbox灰色','xbox_gray','../style/xbox_gray/xbox_gray.gif'));
Themes[9].Add(new themeItem('Xbox绿色','xbox_green','../style/xbox_green/xbox_green.gif'));
Themes[9].Add(new themeItem('绿色方格','xbox_greenblock','../style/xbox_greenblock/xbox_greenblock.gif'));
Themes[9].Add(new themeItem('Xbox Live','xbox_live','../style/xbox_live/xbox_live.gif'));

}
InitThemes();
